# this is a scattering coefficient for diffuse 

calsdif <- function(kai, rou, tau){

# These are the test data 	
#kai = 1.5
#rou = 0.05
#tau	= 0.01
	
rad = pi / 180.0

step = 1
dx = pi *  step / 180.0

alpha = c(0: 90/step) * rad

# get leaf angle distribution
g = gL(alpha, kai)
cosa=cos(alpha)

# integrant
sfact = (0.5 * (1.0 - cosa) * rou + 0.5 * (1.0 + cosa ) * tau) * g

# integration over theta direction
sdif = dx * (0.5 * (sfact[1] + sfact[(90/step) + 1]) + sum(sfact[2:90/step]))

return(sdif)	

} # end of function
