# leaf angle distribution function
# this is proposed by Campbell 1990 AGFM
# this inclination angle was normalized as Int(g(a)==1)
# so do not put the normalizezation factor of (2*pi)!!!
# angle a should be radian as an input
	
gL <- function(a, kai)
{		
	
f <- function(a) gL_factor(a,kai)
# $value is necessary to extract only the numbers
g_sum = integrate(f,0,pi/2)$value
g_prime=gL_factor(a,kai)	
g = g_prime / g_sum


return(g)
} # end of function gL