# leaf angle distribution function
# this is proposed by Campbell 1990 AGFM
# this inclination angle was normalized as Int(g(a)==1)
# so do not put the normalizezation factor of (2*pi)!!!

gL_factor <- function(a, kai)
{	

g_numerator = 2.0 * kai^3 * sin(a)
g_denominator = kai + 1.774 * (kai + 1.182)^(-0.733)
g_denominator = g_denominator * (cos(a)^2 + kai^2 * sin(a)^2)^2
g_prime = g_numerator / g_denominator	

return(g_prime)	
	
}